# Uses of Class
javax.xml.stream.XMLOutputFactory

Packages that use XMLOutputFactory
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).

## Uses of XMLOutputFactory in javax.xml.stream

Methods in javax.xml.stream that return XMLOutputFactory
Modifier and Type
Method
Description
`static XMLOutputFactory`
XMLOutputFactory.`newDefaultFactory()`
Creates a new instance of the `XMLOutputFactory` builtin system-default implementation.
`static XMLOutputFactory`
XMLOutputFactory.`newFactory()`
Creates a new instance of the factory.
`static XMLOutputFactory`
XMLOutputFactory.`newFactory(String factoryId, ClassLoader classLoader)`
Create a new instance of the factory.
`static XMLOutputFactory`
XMLOutputFactory.`newInstance()`
Creates a new instance of the factory in exactly the same manner as the `XMLOutputFactory.newFactory()` method.